<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.26.10.26
Name: cio aandoening status datum
Description: CiO template for the condition status date.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730">
   <title>cio aandoening status datum</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.26.10.26
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]
Item: (cio_cond_status_date)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.26.10.26
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]
Item: (cio_cond_status_date)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]"
         id="d42e2554-false-d32453e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="string(@classCode) = ('OBS')">(cio_cond_status_date): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="string(@moodCode) = ('EVN')">(cio_cond_status_date): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']) &gt;= 1">(cio_cond_status_date): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']) &lt;= 1">(cio_cond_status_date): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="count(hl7:code[(@code = '350351000146106' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(cio_cond_status_date): element hl7:code[(@code = '350351000146106' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="count(hl7:code[(@code = '350351000146106' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(cio_cond_status_date): element hl7:code[(@code = '350351000146106' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="count(hl7:text) &lt;= 1">(cio_cond_status_date): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(cio_cond_status_date): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(cio_cond_status_date): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.26.10.26
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']
Item: (cio_cond_status_date)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']"
         id="d42e2566-false-d32506e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(cio_cond_status_date): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.26.10.26')">(cio_cond_status_date): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.26.10.26' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.26.10.26
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]/hl7:id
Item: (cio_cond_status_date)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]/hl7:id"
         id="d42e2578-false-d32520e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(cio_cond_status_date): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.26.10.26
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]/hl7:code[(@code = '350351000146106' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (cio_cond_status_date)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]/hl7:code[(@code = '350351000146106' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e2587-false-d32531e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(cio_cond_status_date): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="@nullFlavor or (@code='350351000146106' and @codeSystem='2.16.840.1.113883.6.96')">(cio_cond_status_date): de elementwaarde MOET een zijn van 'code '350351000146106' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="@displayName">(cio_cond_status_date): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.26.10.26
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]/hl7:text
Item: (cio_cond_status_date)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]/hl7:text"
         id="d42e2610-false-d32551e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(cio_cond_status_date): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.26.10.26
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]/hl7:value[not(@nullFlavor)]
Item: (cio_cond_status_date)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.26.10.26']]/hl7:value[not(@nullFlavor)]"
         id="d42e2619-false-d32561e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(cio_cond_status_date): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20231214T100742/tmp-2.16.840.1.113883.2.4.3.11.60.26.10.26-2023-12-13T123730.html"
              test="not(*)">(cio_cond_status_date): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
</pattern>
